summaryrefslogtreecommitdiffstats
path: root/testsuite/dwz.tests/two-files-too-many-dies-2.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--testsuite/dwz.tests/two-files-too-many-dies-2.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/testsuite/dwz.tests/two-files-too-many-dies-2.sh b/testsuite/dwz.tests/two-files-too-many-dies-2.sh
new file mode 100644
index 0000000..91b5ccc
--- /dev/null
+++ b/testsuite/dwz.tests/two-files-too-many-dies-2.sh
@@ -0,0 +1,22 @@
+cp $execs/hello 1
+cp $execs/dwz-for-test 2
+
+limit=$(readelf -wi 2 \
+ | grep '(DW_TAG' \
+ | wc -l)
+limit=$((limit - 1))
+
+if dwz -L$limit 2 1 2>dwz.err; status=$?; then
+ true
+fi
+
+if [ $status -eq 0 ]; then
+ echo "PR24301 workaround used" > dwz.info
+else
+ [ $status -eq 1 ]
+fi
+
+smaller-than.sh 1 $execs/hello
+cmp 2 $execs/dwz-for-test
+
+rm -f 1 2 dwz.err